VONSH(6)

NAME
vonsh - Snake-like game without any special twists and turns.

SYNOPSIS
vonsh [fps]

COPYRIGHT
Vonsh is Copyright (c) 2019-2025 Andrzej Urbaniak

DESCRIPTION
Lead your men, gather food, and avoid obstacles. The game features an arcade style and dynamic gameplay. Game is based on libSDL.

USAGE
If the game is installed from a package - click the "Vonsh" icon in your system menu or type "vonsh" in the terminal.

If the project was built independently, type ./usr/games/vonsh from the project directory.

The game can be configured and started from a (hopefully) self-explanatory menu. The configurable settings are available in the "Options" menu. The minimum allowed board dimensions are 28x28.

During the gameplay control the snake using the directional keys (or other of your choice).

The current game configuration is permanently stored in the ~/.local/share/vonsh/config.json file.

The highscore list is permanently stored in the ~/.local/share/vonsh/hiscore.json file.

OPTIONS
fps Starting the game with this option turns on the refresh rate counter.

BUGS
No known bugs.

AUTHOR
Andrzej Urbaniak <urbaniak256@gmail.com>